## org.eclipse.emf.compare.diff.metamodel.impl
Class AbstractDiffExtensionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.compare.diff.metamodel.impl.AbstractDiffExtensionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, AbstractDiffExtension, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public abstract class AbstractDiffExtensionImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AbstractDiffExtension

An implementation of the model object 'Abstract Diff Extension'.

The following features are implemented:

- `Hide Elements`
- `Is Collapsed`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<DiffElement>` `hideElements` The cached value of the '`Hide Elements`' reference list.
`protected static boolean` `IS_COLLAPSED_EDEFAULT` The default value of the '`Is Collapsed`' attribute.
`protected boolean` `isCollapsed` The cached value of the '`Is Collapsed`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AbstractDiffExtensionImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<DiffElement>` `getHideElements()`
`java.lang.Object` `getImage()` Should return a org.eclipse.swt.graphics.Image object representing the `AbstractDiffExtension`.
`java.lang.String` `getText()` Should return the text used to represent the `AbstractDiffExtension`;
`boolean` `isIsCollapsed()`
`IMerger` `provideMerger()`
`void` `setIsCollapsed(boolean newIsCollapsed)`
`java.lang.String` `toString()`
`void` `visit(DiffModel diffModel)` This method is called by the Diff Engine to let the diff extension a chance to refactor the diff model and plug themselves inside.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### hideElements

    protected org.eclipse.emf.common.util.EList<DiffElement> hideElements

  The cached value of the '`Hide Elements`' reference list.

  See Also:
    `getHideElements()`

### IS_COLLAPSED_EDEFAULT

    protected static final boolean IS_COLLAPSED_EDEFAULT

  The default value of the '`Is Collapsed`' attribute.

  See Also:
    `isIsCollapsed()`, Constant Field Values

### isCollapsed

    protected boolean isCollapsed

  The cached value of the '`Is Collapsed`' attribute.

  See Also:
    `isIsCollapsed()`

Constructor Detail

### AbstractDiffExtensionImpl

    protected AbstractDiffExtensionImpl()

Method Detail

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getHideElements

    public org.eclipse.emf.common.util.EList<DiffElement> getHideElements()

  Specified by:
    `getHideElements` in interface `AbstractDiffExtension`
  Returns:
    the value of the 'Hide Elements' reference list.
  See Also:
    `DiffPackage.getAbstractDiffExtension_HideElements()`, `DiffElement.getIsHiddenBy()`

### getImage

    public java.lang.Object getImage()

  Should return a org.eclipse.swt.graphics.Image object representing the `AbstractDiffExtension`.

  Specified by:
    `getImage` in interface `AbstractDiffExtension`

### getText

    public java.lang.String getText()

  Should return the text used to represent the `AbstractDiffExtension`;

  Specified by:
    `getText` in interface `AbstractDiffExtension`

### isIsCollapsed

    public boolean isIsCollapsed()

  Specified by:
    `isIsCollapsed` in interface `AbstractDiffExtension`
  Returns:
    the value of the 'Is Collapsed' attribute.
  See Also:
    `AbstractDiffExtension.setIsCollapsed(boolean)`, `DiffPackage.getAbstractDiffExtension_IsCollapsed()`

### provideMerger

    public IMerger provideMerger()

  Specified by:
    `provideMerger` in interface `AbstractDiffExtension`

### setIsCollapsed

    public void setIsCollapsed(boolean newIsCollapsed)

  Specified by:
    `setIsCollapsed` in interface `AbstractDiffExtension`
  Parameters:
    `newIsCollapsed` - the new value of the 'Is Collapsed' attribute.
  See Also:
    `AbstractDiffExtension.isIsCollapsed()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### visit

    public void visit(DiffModel diffModel)

  This method is called by the Diff Engine to let the diff extension a chance to refactor the diff model and plug themselves inside.

  Specified by:
    `visit` in interface `AbstractDiffExtension`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

Copyright 2006 IBM Corporation and others. All Rights Reserved.